<?php
/**
 * Admin header view
 *
 * @package wp-swift-page
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<!-- start: .ipoptz-wrap -->
<div id="ipoptz-general" class="wrap ipoptz-wrap ipoptz-admin">
	<!-- start: .ipoptz-inner -->
	<div class="ipoptz-inner">

		<?php
		$this->view( 'admin/general/header' );
		?>

		<!-- start: .ipoptz-main -->
		<div class="ipoptz-main">
			<!-- start: .ipoptz-primary -->
			<div class="ipoptz-primary">

				<!-- start: .ipoptz-manage-wrap -->
				<div class="ipoptz-manage-wrap">
          <?php
          $formAction = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipoptz=1&action=general';
          ?>
          <!-- start: .ipoptz-form -->
          <form id="ipoptz-form-general" class="ipoptz-form-container ipoptz-form" method="post" action="<?php echo $formAction; ?>" enctype="multipart/form-data">

          	<!-- start: .container -->
            <div class="container-fluid container">

              <!-- start: .ipoptz-fields -->
              <div class="ipoptz-fields">


<h3 class="ipoptz-field-title mb20 py10">
  <?php _e( 'Remove junk header tags', IPOPTZ_SLUG ); ?>
</h3>

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-remove-rsd-link">
			<?php _e( 'Remove RSD Link', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<div class="ipoptz-onoff">
			<?php
			$val = get_option( '__ipoptz_remove_rsd_link', 'false' );
			if ( $val == 'false' ) {
					$clon  = '';
					$cloff = ' active';
			} else {
					$clon  = ' active';
					$cloff = '';
			}
			?>
			<div class="ipoptz-btn-group">
				<button data-value="true" class="ipoptz-btn-onoff<?php echo $clon; ?> ipoptz-btn-on" type="button"><?php _e( 'On', IPOPTZ_SLUG ); ?></button>
				<button data-value="false" class="ipoptz-btn-onoff<?php echo $cloff; ?> ipoptz-btn-off" type="button"><?php _e( 'Off', IPOPTZ_SLUG ); ?></button>
			</div>
			<input type="hidden" class="ipoptz-onoff-value" name="remove_rsd_link" value="<?php echo $val; ?>" />
		</div>

		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set to true if you want to remove RSD link.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-remove-wp-shortlink">
			<?php _e( 'Remove WordPress Shortlink', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<div class="ipoptz-onoff">
			<?php
			$val = get_option( '__ipoptz_remove_wp_shortlink', 'false' );
			if ( $val == 'false' ) {
					$clon  = '';
					$cloff = ' active';
			} else {
					$clon  = ' active';
					$cloff = '';
			}
			?>
			<div class="ipoptz-btn-group">
				<button data-value="true" class="ipoptz-btn-onoff<?php echo $clon; ?> ipoptz-btn-on" type="button"><?php _e( 'On', IPOPTZ_SLUG ); ?></button>
				<button data-value="false" class="ipoptz-btn-onoff<?php echo $cloff; ?> ipoptz-btn-off" type="button"><?php _e( 'Off', IPOPTZ_SLUG ); ?></button>
			</div>
			<input type="hidden" class="ipoptz-onoff-value" name="remove_wp_shortlink" value="<?php echo $val; ?>" />
		</div>

		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set to true if you want to remove wordPress shortlink.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-remove-adjacent-links">
			<?php _e( 'Remove Adjacent Posts Links', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<div class="ipoptz-onoff">
			<?php
			$val = get_option( '__ipoptz_remove_adjacent_links', 'false' );
			if ( $val == 'false' ) {
					$clon  = '';
					$cloff = ' active';
			} else {
					$clon  = ' active';
					$cloff = '';
			}
			?>
			<div class="ipoptz-btn-group">
				<button data-value="true" class="ipoptz-btn-onoff<?php echo $clon; ?> ipoptz-btn-on" type="button"><?php _e( 'On', IPOPTZ_SLUG ); ?></button>
				<button data-value="false" class="ipoptz-btn-onoff<?php echo $cloff; ?> ipoptz-btn-off" type="button"><?php _e( 'Off', IPOPTZ_SLUG ); ?></button>
			</div>
			<input type="hidden" class="ipoptz-onoff-value" name="remove_adjacent_links" value="<?php echo $val; ?>" />
		</div>

		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set to true if you want to remove adjacent posts links.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-remove-windows-manifest">
			<?php _e( 'Remove Windows Manifest', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<div class="ipoptz-onoff">
			<?php
			$val = get_option( '__ipoptz_remove_windows_manifest', 'false' );
			if ( $val == 'false' ) {
					$clon  = '';
					$cloff = ' active';
			} else {
					$clon  = ' active';
					$cloff = '';
			}
			?>
			<div class="ipoptz-btn-group">
				<button data-value="true" class="ipoptz-btn-onoff<?php echo $clon; ?> ipoptz-btn-on" type="button"><?php _e( 'On', IPOPTZ_SLUG ); ?></button>
				<button data-value="false" class="ipoptz-btn-onoff<?php echo $cloff; ?> ipoptz-btn-off" type="button"><?php _e( 'Off', IPOPTZ_SLUG ); ?></button>
			</div>
			<input type="hidden" class="ipoptz-onoff-value" name="remove_windows_manifest" value="<?php echo $val; ?>" />
		</div>

		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set to true if you want to remove windows manifest.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-remove-wp-version">
			<?php _e( 'Remove the WordPress Version', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<div class="ipoptz-onoff">
			<?php
			$val = get_option( '__ipoptz_remove_wp_version', 'false' );
			if ( $val == 'false' ) {
					$clon  = '';
					$cloff = ' active';
			} else {
					$clon  = ' active';
					$cloff = '';
			}
			?>
			<div class="ipoptz-btn-group">
				<button data-value="true" class="ipoptz-btn-onoff<?php echo $clon; ?> ipoptz-btn-on" type="button"><?php _e( 'On', IPOPTZ_SLUG ); ?></button>
				<button data-value="false" class="ipoptz-btn-onoff<?php echo $cloff; ?> ipoptz-btn-off" type="button"><?php _e( 'Off', IPOPTZ_SLUG ); ?></button>
			</div>
			<input type="hidden" class="ipoptz-onoff-value" name="remove_wp_version" value="<?php echo $val; ?>" />
		</div>

		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set to true if you want to remove the wordpress version.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-remove-rss-links">
			<?php _e( 'Remove All RSS Feed Links', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<div class="ipoptz-onoff">
			<?php
			$val = get_option( '__ipoptz_remove_rss_links', 'false' );
			if ( $val == 'false' ) {
					$clon  = '';
					$cloff = ' active';
			} else {
					$clon  = ' active';
					$cloff = '';
			}
			?>
			<div class="ipoptz-btn-group">
				<button data-value="true" class="ipoptz-btn-onoff<?php echo $clon; ?> ipoptz-btn-on" type="button"><?php _e( 'On', IPOPTZ_SLUG ); ?></button>
				<button data-value="false" class="ipoptz-btn-onoff<?php echo $cloff; ?> ipoptz-btn-off" type="button"><?php _e( 'Off', IPOPTZ_SLUG ); ?></button>
			</div>
			<input type="hidden" class="ipoptz-onoff-value" name="remove_rss_links" value="<?php echo $val; ?>" />
		</div>

		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set to true if you want to remove all rss feed links.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<h3 class="ipoptz-field-title py10">
  <?php _e( 'Browser Cache', IPOPTZ_SLUG ); ?>
</h3>

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-set-expires-static">
			<?php _e( 'Set Expires Date for Static Resources', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<div class="ipoptz-onoff ipoptz-field-htaccess ipoptz-field-exp">
			<?php
			$val = get_option( '__ipoptz_set_expires_static', 'false' );
			if ( $val == 'false' ) {
					$clon  = '';
					$cloff = ' active';
			} else {
					$clon  = ' active';
					$cloff = '';
			}
			?>
			<div class="ipoptz-btn-group">
				<button data-value="true" class="ipoptz-btn-onoff<?php echo $clon; ?> ipoptz-btn-on" type="button"><?php _e( 'On', IPOPTZ_SLUG ); ?></button>
				<button data-value="false" class="ipoptz-btn-onoff<?php echo $cloff; ?> ipoptz-btn-off" type="button"><?php _e( 'Off', IPOPTZ_SLUG ); ?></button>
			</div>
			<input type="hidden" id="input-set-expires-static" class="ipoptz-onoff-value" name="set_expires_static" value="<?php echo $val; ?>" />
		</div>

		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set to true if you want to set expires date for static resources.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-enabled-gzip">
			<?php _e( 'Enable HTTP (gzip) Compression', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<div class="ipoptz-onoff ipoptz-field-htaccess ipoptz-field-gzip">
			<?php
			$val = get_option( '__ipoptz_enabled_gzip', 'false' );
			if ( $val == 'false' ) {
					$clon  = '';
					$cloff = ' active';
			} else {
					$clon  = ' active';
					$cloff = '';
			}
			?>
			<div class="ipoptz-btn-group">
				<button data-value="true" class="ipoptz-btn-onoff<?php echo $clon; ?> ipoptz-btn-on" type="button"><?php _e( 'On', IPOPTZ_SLUG ); ?></button>
				<button data-value="false" class="ipoptz-btn-onoff<?php echo $cloff; ?> ipoptz-btn-off" type="button"><?php _e( 'Off', IPOPTZ_SLUG ); ?></button>
			</div>
			<input type="hidden" id="input-enabled-gzip" class="ipoptz-onoff-value" name="enabled_gzip" value="<?php echo $val; ?>" />
		</div>

		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set to true if you want to enable HTTP (gzip) compression.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-disabled-etag">
			<?php _e( 'Disabled ETag Header', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<div class="ipoptz-onoff ipoptz-field-htaccess ipoptz-field-etag">
			<?php
			$val = get_option( '__ipoptz_disabled_etag', 'false' );
			if ( $val == 'false' ) {
					$clon  = '';
					$cloff = ' active';
			} else {
					$clon  = ' active';
					$cloff = '';
			}
			?>
			<div class="ipoptz-btn-group">
				<button data-value="true" class="ipoptz-btn-onoff<?php echo $clon; ?> ipoptz-btn-on" type="button"><?php _e( 'On', IPOPTZ_SLUG ); ?></button>
				<button data-value="false" class="ipoptz-btn-onoff<?php echo $cloff; ?> ipoptz-btn-off" type="button"><?php _e( 'Off', IPOPTZ_SLUG ); ?></button>
			</div>
			<input type="hidden" id="input-disabled-etag" class="ipoptz-onoff-value" name="disabled_etag" value="<?php echo $val; ?>" />
		</div>

		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set to true if you want to disabled ETag header.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-enable-keep-alive">
			<?php _e( 'Enable Keep-Alive', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<div class="ipoptz-onoff ipoptz-field-htaccess ipoptz-field-keep">
			<?php
			$val = get_option( '__ipoptz_enable_keep_alive', 'false' );
			if ( $val == 'false' ) {
					$clon  = '';
					$cloff = ' active';
			} else {
					$clon  = ' active';
					$cloff = '';
			}
			?>
			<div class="ipoptz-btn-group">
				<button data-value="true" class="ipoptz-btn-onoff<?php echo $clon; ?> ipoptz-btn-on" type="button"><?php _e( 'On', IPOPTZ_SLUG ); ?></button>
				<button data-value="false" class="ipoptz-btn-onoff<?php echo $cloff; ?> ipoptz-btn-off" type="button"><?php _e( 'Off', IPOPTZ_SLUG ); ?></button>
			</div>
			<input type="hidden" id="input-enable-keep-alive" class="ipoptz-onoff-value" name="enable_keep_alive" value="<?php echo $val; ?>" />
		</div>

		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set to true if you want to Enable HTTP Keep-Alive.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<?php 
if ( $this->htaccessWritable ) {
	$status = 'on';
} else {
	$status = 'off';
}
?>
<input type="hidden" id="ipoptz-htaccess-writable" name="htaccess_writable" value="<?php echo $status; ?>">


<?php 
if ( ! $this->htaccessWritable ) :
	$optEtag = get_option( '__ipoptz_disabled_etag', 'false' );
	$optGzip = get_option( '__ipoptz_enabled_gzip', 'false' );
	$optExp  = get_option( '__ipoptz_set_expires_static', 'false' );
	$optKeep = get_option( '__ipoptz_enable_keep_alive', 'false' );
?>
<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x">
	<div class="ipoptz-field col-xs-12">

		<div class="ipoptz-alert ipoptz-alert-danger">
			<?php _e( '.htaccess file is not writable, so the plugin cannot add code to support the browser cache. Please paste the code below into your .htaccess file (located at website root location).', IPOPTZ_SLUG ); ?>
		</div>

		<pre id="ipoptz-htaccess-code">
<?php
if ( $optEtag == 'true' ) {
echo IPOptz_Core::getHtaccessEtag();
}
if ( $optExp == 'true' ) {
echo IPOptz_Core::getHtaccessExpires( true );
}
if ( $optGzip == 'true' ) {
echo IPOptz_Core::getHtaccessGzip( true );
}
if ( $optKeep == 'true' ) {
echo IPOptz_Core::getKeepAlive( true );
}
?>
		</pre>

<div id="ipoptz-htaccess-code-etag" style="display:none;">
<?php echo IPOptz_Core::getHtaccessEtag(); ?>
</div>
<div id="ipoptz-htaccess-code-expires" style="display:none;">
<?php echo IPOptz_Core::getHtaccessExpires( true ); ?>
</div>
<div id="ipoptz-htaccess-code-gzip" style="display:none;">
<?php echo IPOptz_Core::getHtaccessGzip( true ); ?>
</div>
<div id="ipoptz-htaccess-code-keep-alive" style="display:none;">
<?php echo IPOptz_Core::getKeepAlive( true ); ?>
</div>

	</div>
</div>
<!-- end: .ipoptz-field-row -->
<?php
endif;
?>


<div class="ipoptz-bottom-submit mt20 mb30">
  <button type="submit" class="ipoptz-form-submit ipoptz-btn ipoptz-btn-secondary ipoptz-btn-lg" id="do-save-setting" name="save_setting">
    <i class="ipoptz-fa ipoptz-fa-floppy-o"></i>
    <strong><?php _e( 'Save Change', IPOPTZ_SLUG ); ?></strong>
  </button>
</div>

							</div>
							<!-- end: .ipoptz-fields -->

						</div>
						<!-- end: .container -->
					</form>
					<!-- end: .ipoptz-form -->
				</div>
				<!-- end: .ipoptz-manage-wrap -->

			</div>
			<!-- end: .ipoptz-primary -->
		</div>
		<!-- end: .ipoptz-main -->

	</div>
	<!-- end: .ipoptz-inner -->
</div>
<!-- end: .ipoptz-wrap -->