<?php
/**
 * Controller to handling updating plugin options
 *
 * @package wp-swift-page
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPOptz_Ajax_Setting' ))
{
	class IPOptz_Ajax_Setting
	{
		/**
		 * Execution save options process
		 *
		 * @return void
		 */
		public function exec()
		{
      $error = false;
      if ( isset( $_POST['gtmetrix_email'] )) {
        $path = sanitize_title( $_POST['gtmetrix_email'] );
        update_option( '__ipoptz_gtmetrix_email', $path );
      }
      if ( isset( $_POST['gtmetrix_api_key'] )) {
        $path = sanitize_title( $_POST['gtmetrix_api_key'] );
        update_option( '__ipoptz_gtmetrix_api_key', $path );
      }

      if ( $error ) {
          $status = 0;
          $msg    = __( 'Failed save settings.', IPOPTZ_SLUG );
      } else {
          $status = 1;
          $msg    = __( 'Successfully updated settings.', IPOPTZ_SLUG );
      }
      echo json_encode( array(
          'status'    => $status,
          'message'   => $msg
      ) );
      die();
		}

	}
}
